GuidesAPI Reference
API Reference

Simple and fast access to the rich HERE Map Content

Simple and fast access to the rich HERE Map Content

Query Params
string
string
string

map name. Optional for public HERE maps and for private BYOD maps. If not specified, the content of all maps containing the requested layer(s) is retrieved

string
required

Comma separated list of layers to be searched. Layer names are not case sensitive. Both custom layers and Map Attribute core map layers are supported. Map Attribute layers divided by functional class, like ROAD_GEOM_FC1 ... FC5 can be selected by N, e.g. ROAD_GEOM_FCN. The maximum length of a layer name and the permitted characters can be looked up up in the service via v8/maps/serviceconfiguration. Via the attributes parameter only certain column attributes from a layer can be returned.

string

Spatial filtering. Supported are bbox, proximity, tile, corridor and all (full layer). The format is &in=all or &in=bbox:{west longitude},{south latitude},{east longitude},{north latitude} or &in=proximity:latitude,longitude;r={radius} or &in=tile:{comma separated list of tile ids. The number of tile ids must match with the number of layers.} or &in=corridor:{comma separated WGS84 degree coordinates of corridor, for example:latitude 1,longitude 1,latitude 2,longitude 2 / encoded polyline string from Routing v8 response/ routeHandle string from Routing v8 response};r={radius}[;type=geoCoordinate(gc)/encodedPolyline(ep)/routeHandle(rh) }. When using routeHandle for corridor search an access token or apikey used for the router v8 service should be specified as Authorization header, else request will fail.

string

A SQL expression being evaluated for each geometry being returned from the specified layer listing. Columns value for the geometry are available as defined variables. When specified, only geometries where expression evaluates to true will be returned. Supported SQL filter operators are: '=', '!=', '>', '<', 'AND', 'OR', 'LIKE'. Example: filter=RATING > 3 AND NAME != 'MyPlace23' AND NAME LIKE 'FOOD%'. Parameter value must be url encoded when using special characters. This filter expression is applied to all geometries, so it can become slow for big layers. To avoid service overload, filter expressions must not exceed 100 characters of text. Note:

  1. The filter expression is applied to all objects across all specified layers. Therefore, it is most likely to work as intended when a single layer is requested.
  2. The filter expression is not compatible with tile search. Tile search only allows filtering results based on attribute columns. Column filtering can be used to reduce response size.
string
Defaults to 1

When set to 1 then stable topology ids are returned in the response. The default value is 1.

string

Map release quarter, e.g. 2015Q4, 161J0, 16153 or LATEST (= default) for the latest available map release quarter. Specifying a map release is strongly discouraged, because there is no guarantee how long old map releases are available, hence applications that specify a release might stop working when the release gets retired. To choose a (nearest to) specific snapshot of the live traffic speed record or archived weather layer, a UNIX timestamp (number of milliseconds since 1970) or a url encoded date in 2017-12-01T17:30:00+01:00 format can be passed.

string
Defaults to 1

When set to 1 then meta info is returned in the response. The default value is 1.

string

Semicolon separated list of column names (in uppercase) to specify which attributes shall appear in the result. If the request specifies several layers, then pass this for each layer, as a comma separated list. Default = all. F.e. if layers=LINK_ATTRIBUTE2_FCn,LINK_ATTRIBUTE_FCn,ROAD_GEOM_FCn are requested, then the columns can be restricted to only following attributes=PARKING_LOT_ROAD;CARPOOL_ROAD,PAVED;PRIVATE,BRIDGE;TUNNEL. Parking lot and carpool road are from layer LINK_ATTRIBUTE2_FCn, paved and private from LINK_ATTRIBUTE_FCn and bridge, tunnel from ROAD_GEOM_FCn layer.

string

Mode of transport to be used for the route calculation: car, truck, pedestrian. Required when routeHandle is used to retrieve attributes in corridor, please specify the same transportMode which was used to get the route handle from v8 Routing API.

string

The number of geometries in the response. If more geometries satisfy the search/filter criteria, they will be suppressed. It is undefined, which of the matching geometries are returned, unless this parameter is used together with offset, which sorts the results set by geometry id. Parameter can be a single value that applies to all layers, or a comma separated list equal in number to the number of layers specified in layer_id parameter. The maximum number of records supported within a single request can be looked up in the v8/maps/serviceconfiguration endpoint. This parameter can only be used with &in=all filter to download either the custom layers or public static layers.

string

To paginate huge responses, this parameter specifies the lowest geometry id to be returned. If geometry ids are not known, then retrieve the first page using zero, and to retrieve subsequent pages then request highest geometry of current page + 1 (it doesn't matter whether this geometry id actually exists or not). Use this parameter together with count. Parameter can be a single value that applies to all layers, or a comma separated list equal in number to the number of layers specified in layer_id parameter. This parameter can only be used with &in=all filter to download either the custom layers or public static layers.

string

Optional. If this parameter is set to true, user will get list of geometries from available layers, even if some of the requested layers are missing. If none of the requested layers are found, service returns empty list.

string
Defaults to local

local, full or none. Specifies the geometry representation in the result. Default = local. Local geometry is used for map display purposes, returning geometry pieces that cover the given search radius, bounding box or corridor polygon. Full geometry is used for interactive editing, where the original geometry is required. Full geometry can only be retrieved for custom layers, for map None is used for applications like geofencing, which most of the time want to know only the ids of the geofence points/lines polygons they are in or near.

string

Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.

string

A key generated specifically to authenticate API requests. For more information on how to get an API key, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html . Other authentication options are Bearer token, see https://developer.here.com/documentation/identity-access-management/dev_guide/index.html or app_id with app_code for backward compatibility.

Response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json;charset=UTF-8